<?php

namespace Sibs\Sibs\Setup;

use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;

interface SibsUpgradeSchemaInterface
{
    public function __construct(ModuleContextInterface $context);

    public function getUpgradeVersion();

    public function validateVersion();

    public function upgrade(SchemaSetupInterface $setup);
}
